Skip to content

Get​

GET
/backend/v1/datasets/runs

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Parameters​

Query Parameters

includeScanners

Include guardrails in the response.

Type
boolean
Default
false
includeScannerPackages

Include guardrail packages in the response.

Type
boolean
Default
false
includeUsers

Include the users that created the datasets in the response.

Type
boolean
Default
false
limit

Limits the amount of results.

Type
integer
Default
10
Maximum
100
Minimum
1
includeDatasets

Include datasets in the response

Type
boolean
Default
false

Responses​

Successful Response

application/json
JSON
{
  
"datasetRuns": [
  
  
{
  
  
  
"datasetId": "string",
  
  
  
"fileId": "string",
  
  
  
"id": "string",
  
  
  
"result": {
  
  
  
  
"accuracy": 0,
  
  
  
  
"f1Score": 0,
  
  
  
  
"falseNegative": 0,
  
  
  
  
"falsePositive": 0,
  
  
  
  
"trueNegative": 0,
  
  
  
  
"truePositive": 0
  
  
  
},
  
  
  
"scannerId": "string",
  
  
  
"scannerPackageId": "string",
  
  
  
"scannerVersionId": "string",
  
  
  
"status": "string"
  
  
}
  
],
  
"datasets": {
  
  
"additionalProperties": {
  
  
  
"createdAt": "string",
  
  
  
"createdBy": "string",
  
  
  
"fileId": "string",
  
  
  
"filename": "string",
  
  
  
"id": "string",
  
  
  
"name": "string",
  
  
  
"scannerPackageId": "string"
  
  
}
  
},
  
"scannerPackages": {
  
  
"additionalProperties": {
  
  
  
"availability": {
  
  
  
  
"global": false,
  
  
  
  
"projectIds": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
]
  
  
  
},
  
  
  
"direction": "string",
  
  
  
"id": "string",
  
  
  
"name": "string",
  
  
  
"performanceScannerIds": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"projectId": "string",
  
  
  
"scannerCounts": {
  
  
  
  
"additionalProperties": 0
  
  
  
},
  
  
  
"scannerIds": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"source": {
  
  
  
  
"type": "internal"
  
  
  
},
  
  
  
"vendored": true
  
  
}
  
},
  
"scanners": {
  
  
"additionalProperties": {
  
  
  
"availability": {
  
  
  
  
"global": false,
  
  
  
  
"projectIds": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
]
  
  
  
},
  
  
  
"config": {
  
  
  
  
"pattern": "string",
  
  
  
  
"type": "regex"
  
  
  
},
  
  
  
"direction": "request",
  
  
  
"id": "string",
  
  
  
"name": "string",
  
  
  
"packageId": "string",
  
  
  
"projectId": "string",
  
  
  
"scannerTemplateId": "string",
  
  
  
"source": {
  
  
  
  
"type": "internal"
  
  
  
},
  
  
  
"tags": [
  
  
  
  
[
  
  
  
  
]
  
  
  
],
  
  
  
"vendored": true,
  
  
  
"versionMeta": {
  
  
  
  
"createdAt": "string",
  
  
  
  
"createdBy": "string",
  
  
  
  
"description": "string",
  
  
  
  
"direction": "string",
  
  
  
  
"f1Score": 0,
  
  
  
  
"id": "string",
  
  
  
  
"latestDatasetResult": {
  
  
  
  
  
"datasetRunId": "string",
  
  
  
  
  
"f1Score": 0
  
  
  
  
},
  
  
  
  
"name": "string",
  
  
  
  
"published": true
  
  
  
}
  
  
}
  
},
  
"users": {
  
  
"additionalProperties": {
  
  
  
"admin": true,
  
  
  
"blocked": false,
  
  
  
"createdAt": "string",
  
  
  
"email": "string",
  
  
  
"id": "string",
  
  
  
"lastInvitationSentAt": "string",
  
  
  
"machine": false,
  
  
  
"name": "string",
  
  
  
"org": "string",
  
  
  
"permissions": [
  
  
  
  
[
  
  
  
  
]
  
  
  
],
  
  
  
"roleIds": [
  
  
  
  
[
  
  
  
  
]
  
  
  
],
  
  
  
"roles": [
  
  
  
  
[
  
  
  
  
]
  
  
  
],
  
  
  
"social": false,
  
  
  
"teams": [
  
  
  
  
[
  
  
  
  
]
  
  
  
],
  
  
  
"verified": true
  
  
}
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Updated at: